ER_TABLE_NEEDS_UPGRADE

Upgrade required. Please do "REPAIR %s %s" or dump/reload to fix it!

See also: Error Codes in 10.6 ES, in 10.6 CS, in 10.5 ES, in 10.5 CS, in 10.4 ES, in 10.4 CS, in 10.3 ES, in 10.3 CS, in 10.2 ES, and in 10.2 CS

CHANGE HISTORY

Release Series

History

10.6 Enterprise

  • Present starting in MariaDB Enterprise Server 10.6.4-1 as error number 1459

10.6 Community

  • Present starting in MariaDB Community Server 10.6.0 as error number 1459

10.5 Enterprise

  • Present starting in MariaDB Enterprise Server 10.5.3-1 as error number 1459

10.5 Community

  • Present starting in MariaDB Community Server 10.5.0 as error number 1459

10.4 Enterprise

  • Present starting in MariaDB Enterprise Server 10.4.6-1 as error number 1459

10.4 Community

  • Present starting in MariaDB Community Server 10.4.0 as error number 1459

10.3 Enterprise

  • Present starting in MariaDB Enterprise Server 10.3.16-1 as error number 1459

10.3 Community

  • Present starting in MariaDB Community Server 10.3.0 as error number 1459

10.2 Enterprise

  • Present starting in MariaDB Enterprise Server 10.2.25-1 as error number 1459

10.2 Community

  • Present starting in MariaDB Community Server 10.2.0 as error number 1459

EXTERNAL REFERENCES